Bug 1509374 - [RADOS]: "ceph log last" is not fetching exact number of lines specified
Summary: [RADOS]: "ceph log last" is not fetching exact number of lines specified
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: z2
: 3.3
Assignee: Kefu Chai
QA Contact: Manohar Murthy
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-11-03 16:07 UTC by shylesh
Modified: 2019-09-27 18:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.`ceph log last` does not display the exact number of specified lines The `ceph log last <number>` command shows the specified number of lines from the cluster log and cluster audit log, by default located at `/var/log/ceph/<cluster-name>/.log` and `/var/log/ceph/<cluster-name>.audit.log`. Currently, the command does not display the exact number of specified lines. To work around this problem, use the `tail -<number> <log-file>` command.
Clone Of:
Environment:
Last Closed: 2019-09-27 18:22:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 4 Kefu Chai 2017-11-06 16:04:44 UTC
> `tail <number> <log-file>` command.

the command is 

tail -<number> <log-file>

and this is not accurate. for cluster log, <log-file> is by default /var/log/ceph/${cluster_name}.log, for audit log, /var/log/ceph/${cluster_name}.audit.log

they are configurable using "mon_cluster_log_file". in the form of 

default=/var/log/ceph/$cluster.$channel.log,cluster=/var/log/ceph/$cluster.log

see http://docs.ceph.com/docs/master/rados/troubleshooting/log-and-debug/.

Comment 10 Giridhar Ramaraju 2019-08-05 13:09:01 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 11 Giridhar Ramaraju 2019-08-05 13:10:22 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.